Subject: bug#5908: tooltip-show breaks with multiline tip on Emacs for Windows v22.2.1

From: Jan Djärv <[email-masked]>
Date: Fri, 09 Apr 2010 18:58:51 +0200

Glenn Morris skrev 2010-04-08 21.35:
> Chong Yidong wrote:
>
>> "D Chiesa"<[email-masked]>  writes:
>>
>>> Emacs doesn't properly display long text tooltips, or multi-line
>>> tooltips, on Windows.
> [...]
>> I seem to recall that this bug was fixed for Emacs 23.1.
>
> I though this was a duplicate of the (still open) bug#2423.
> Maybe it was fixed and never closed, but I don't recall it.
> (Multiline tooltips still don't work the first time in GNU/Linux.)

I have checked in a fix for multiline tooltips the first time for X.
try_window aborts if fonts_changed_p is set, and the first time one loads the 
tip font, this is what happens.

	Jan D.